******************************************************************************************************************************
******************************************************************************************************************************
* 	scoring algorithm for the KIDSCREEN-10 proxy version						*
******************************************************************************************************************************
******************************************************************************************************************************

*	copyright and intelectual property: The European KIDSCREEN group				*

******************************************************************************************************************************
* 	1) uses transformed KIDSCREEN item-scores (transformed e.g. by a priori application of the 	*
* 	syntax "transform_KIDSCREEN-10_rawdata.SPS")						*
* 	2) based on the RASCH-Person-Parameter Estimates 						*
* 	3) T-values were computed wich refer to the entire KIDSCREEN survey (excluded were 		*
* 	cases older than 18, younger than 8, > 25% missings in KIDSCREEN items, with any 		*
* 	missing in the particular scale)									*
* 	4) for the entire European sample the mean of the T-values is 50, the standard deviation is 10	*
******************************************************************************************************************************






COMPUTE KP10IN_R = (KP10IN01 + KP10IN02 + KP10IN03 + KP10IN04 + KP10IN05 + KP10IN06 + KP10IN07 + KP10IN08 + KP10IN09 + KP10IN10 ) .
EXECUTE .




RECODE KP10in_R 
(	10	=	-5.185	)	
(	11	=	-3.998	)	
(	12	=	-3.401	)	
(	13	=	-2.983	)	
(	14	=	-2.655	)	
(	15	=	-2.382	)	
(	16	=	-2.148	)	
(	17	=	-1.941	)	
(	18	=	-1.756	)	
(	19	=	-1.586	)	
(	20	=	-1.43	)	
(	21	=	-1.283	)	
(	22	=	-1.143	)	
(	23	=	-1.01	)	
(	24	=	-0.88	)	
(	25	=	-0.753	)	
(	26	=	-0.628	)	
(	27	=	-0.504	)	
(	28	=	-0.379	)	
(	29	=	-0.254	)	
(	30	=	-0.126	)	
(	31	=	0.004	)	
(	32	=	0.137	)	
(	33	=	0.274	)	
(	34	=	0.416	)	
(	35	=	0.564	)	
(	36	=	0.718	)	
(	37	=	0.88	)	
(	38	=	1.05	)	
(	39	=	1.23	)	
(	40	=	1.42	)	
(	41	=	1.622	)	
(	42	=	1.836	)	
(	43	=	2.065	)	
(	44	=	2.311	)	
(	45	=	2.579	)	
(	46	=	2.878	)	
(	47	=	3.225	)	
(	48	=	3.654	)	
(	49	=	4.253	)	
(	50	=	5.436	).	
EXECUTE .


Compute KP10in_T = (((KP10in_R - 1.5649)  / 1.02182) * 10 + 50) .
EXECUTE .


VAR LAB KP10in_R 'proxy 10item General HRQoL index RASCH PP'.
EXECUTE .


VAR LAB KP10in_T 'proxy 10item General HRQoL index international T-values based on RASCH PP'.
EXECUTE .


